> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/restowing.md).

# Restowing

Endpoints to manipulate restowing items.

## List restow items

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Get all restow items

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to manipulate restowing items.","name":"Restowing"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RestowedItems":{"properties":{"restowedItems":{"items":{"$ref":"#/components/schemas/RestowItem"},"type":"array"},"total":{"description":"Total number of found entities for this query","type":"integer"}},"title":"RestowedItems","type":"object","description":"RestowedItems"},"RestowItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/RestowItemArticle"}],"description":"Information about the lineItem"},"created":{"description":"The date this entity was created by fulfillmenttools. This value is generated by the service.","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to the lineItem. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","type":"object"},"facilityRef":{"description":"The id of the facility reference. The given ID has to be present in the system.","type":"string"},"globalLineItemId":{"description":"This ID is used to identify if this line item is related to the line item of other operational entities.","type":"string"},"id":{"description":"ID of the recordable attribute","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"location":{"$ref":"#/components/schemas/Location"},"measurementUnitKey":{"description":"Measurement unit key of the item, for example \"pcs\" or \"kg\"","minLength":1,"type":"string"},"operativeProcessRef":{"description":"id of the connected operative process if available","type":"string"},"processRef":{"description":"id of the connected process if available","type":"string"},"quantity":{"description":"The quantity of the lineItem","type":"number"},"recordableAttributes":{"description":"Customizable information about the lineItem that can be set during the process.","items":{"$ref":"#/components/schemas/RecordableAttribute"},"type":"array"},"restowed":{"description":"Indicates if the restowItem has been restowed","type":"boolean"},"scannableCodes":{"description":"Codes that can be used for scanning this lineItem","items":{"type":"string"},"type":"array"},"secondaryMeasurementUnitKey":{"description":"Identifier for items unit of measurement. E.g. measurementUnitKey is pieces and secondaryMeasurementUnitKey is gram","minLength":1,"type":"string"},"secondaryQuantity":{"description":"secondary quantity of this item, e.g. quantity is the count and secondaryQuantity is the weight","minimum":0,"type":"number"},"status":{"description":"Status of the restow item","enum":["CANCELED","CLOSED","OPEN"],"type":"string"},"stockRef":{"description":"id of the stock entity for this line item","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["id","article","quantity","version","restowed","facilityRef","status"],"title":"RestowItem","type":"object","description":"RestowItem"},"RestowItemArticle":{"properties":{"titleLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the title of the product"},"attributes":{"items":{"$ref":"#/components/schemas/ArticleAttributeItem"},"type":"array"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Ensure that no authentication is needed to fetch the image.","type":"string"},"tenantArticleId":{"description":"This is a reference to an article number","type":"string"},"title":{"description":"The title of the product","type":"string"},"weight":{"description":"Weight value is in gram","minimum":0,"type":"number"}},"required":["tenantArticleId","title"],"title":"RestowItemArticle","type":"object","description":"RestowItemArticle"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by fulfillmenttools to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout fulfillmenttools. For a complete list of possible categories\nand their correct use, refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"anyOf":[{"type":"string"},{"enum":["billableWeightPerUnit","weightPerUnit","currency","valuePerUnit","hsCode","numberOfDecimalPlaces","decimalPlaces","value","countryOfManufacture","percentage","valueOfMeasureForBasePrice","unitKeyOfMeasureForBasePrice"]}],"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear, for example, in the App.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, for example, priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of fulfillmenttools. Default\nvalue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"Location":{"properties":{"locationRef":{"description":"The id of the location","type":"string"},"scannableCodes":{"description":"Represents barcodes that may be scanned at this location","items":{"type":"string"},"maxItems":50,"type":"array"}},"xml":{"name":"Location"},"title":"Location","description":"Location"},"RecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations of the key"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"id":{"description":"ID of the recordable attribute","type":"string"},"key":{"description":"The translated key of the attribute. This field gets filled automatically on request","type":"string"},"originId":{"description":"The ID of the original lineItem the attribute was split from.","nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["id","keyLocalized","recordingRule"],"title":"RecordableAttribute","type":"object","description":"RecordableAttribute"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/restowitems":{"get":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Get all restow items","operationId":"queryRestowItems","parameters":[{"description":"Reference to the facility you want to get the corresponding restows","in":"query","name":"facilityRef","required":false,"schema":{"type":"string"}},{"description":"Reference restowed status of the restow items","in":"query","name":"restowed","required":false,"schema":{"type":"boolean"}},{"description":"Reference status of the restow items","in":"query","name":"status","required":false,"schema":{"items":{"enum":["CANCELED","CLOSED","OPEN"],"type":"string"},"type":"array"}},{"description":"all entities after given Id","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"number of entities to show","in":"query","name":"size","required":false,"schema":{"default":25,"maximum":500,"minimum":1,"type":"integer"}},{"description":"query orderBy","in":"query","name":"orderBy","required":false,"schema":{"enum":["CREATED_DESC","CREATED_ASC","LAST_MODIFIED_DESC","LAST_MODIFIED_ASC"],"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestowedItems"}}},"description":"Restow items were found. The results are in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"List restow items","tags":["Restowing"]}}}}
```

## Get restow item

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Get restow item by id

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to manipulate restowing items.","name":"Restowing"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RestowItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/RestowItemArticle"}],"description":"Information about the lineItem"},"created":{"description":"The date this entity was created by fulfillmenttools. This value is generated by the service.","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to the lineItem. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","type":"object"},"facilityRef":{"description":"The id of the facility reference. The given ID has to be present in the system.","type":"string"},"globalLineItemId":{"description":"This ID is used to identify if this line item is related to the line item of other operational entities.","type":"string"},"id":{"description":"ID of the recordable attribute","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"location":{"$ref":"#/components/schemas/Location"},"measurementUnitKey":{"description":"Measurement unit key of the item, for example \"pcs\" or \"kg\"","minLength":1,"type":"string"},"operativeProcessRef":{"description":"id of the connected operative process if available","type":"string"},"processRef":{"description":"id of the connected process if available","type":"string"},"quantity":{"description":"The quantity of the lineItem","type":"number"},"recordableAttributes":{"description":"Customizable information about the lineItem that can be set during the process.","items":{"$ref":"#/components/schemas/RecordableAttribute"},"type":"array"},"restowed":{"description":"Indicates if the restowItem has been restowed","type":"boolean"},"scannableCodes":{"description":"Codes that can be used for scanning this lineItem","items":{"type":"string"},"type":"array"},"secondaryMeasurementUnitKey":{"description":"Identifier for items unit of measurement. E.g. measurementUnitKey is pieces and secondaryMeasurementUnitKey is gram","minLength":1,"type":"string"},"secondaryQuantity":{"description":"secondary quantity of this item, e.g. quantity is the count and secondaryQuantity is the weight","minimum":0,"type":"number"},"status":{"description":"Status of the restow item","enum":["CANCELED","CLOSED","OPEN"],"type":"string"},"stockRef":{"description":"id of the stock entity for this line item","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["id","article","quantity","version","restowed","facilityRef","status"],"title":"RestowItem","type":"object","description":"RestowItem"},"RestowItemArticle":{"properties":{"titleLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the title of the product"},"attributes":{"items":{"$ref":"#/components/schemas/ArticleAttributeItem"},"type":"array"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Ensure that no authentication is needed to fetch the image.","type":"string"},"tenantArticleId":{"description":"This is a reference to an article number","type":"string"},"title":{"description":"The title of the product","type":"string"},"weight":{"description":"Weight value is in gram","minimum":0,"type":"number"}},"required":["tenantArticleId","title"],"title":"RestowItemArticle","type":"object","description":"RestowItemArticle"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by fulfillmenttools to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout fulfillmenttools. For a complete list of possible categories\nand their correct use, refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"anyOf":[{"type":"string"},{"enum":["billableWeightPerUnit","weightPerUnit","currency","valuePerUnit","hsCode","numberOfDecimalPlaces","decimalPlaces","value","countryOfManufacture","percentage","valueOfMeasureForBasePrice","unitKeyOfMeasureForBasePrice"]}],"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear, for example, in the App.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, for example, priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of fulfillmenttools. Default\nvalue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"Location":{"properties":{"locationRef":{"description":"The id of the location","type":"string"},"scannableCodes":{"description":"Represents barcodes that may be scanned at this location","items":{"type":"string"},"maxItems":50,"type":"array"}},"xml":{"name":"Location"},"title":"Location","description":"Location"},"RecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations of the key"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"id":{"description":"ID of the recordable attribute","type":"string"},"key":{"description":"The translated key of the attribute. This field gets filled automatically on request","type":"string"},"originId":{"description":"The ID of the original lineItem the attribute was split from.","nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["id","keyLocalized","recordingRule"],"title":"RecordableAttribute","type":"object","description":"RecordableAttribute"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/restowitems/{restowItemId}":{"get":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Get restow item by id","operationId":"getRestowItem","parameters":[{"in":"path","name":"restowItemId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestowItem"}}},"description":"RestowItem was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Get restow item","tags":["Restowing"]}}}}
```

## Update restow item

> This part of the API is deprecated. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Deprecated, please use /api/restowitems/{restowItemId}/actions

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to manipulate restowing items.","name":"Restowing"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RestowItemPatchActions":{"properties":{"actions":{"items":{"$ref":"#/components/schemas/ModifyRestowItemAction"},"maxItems":10,"type":"array"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["actions","version"],"title":"RestowItemPatchActions","type":"object","description":"RestowItemPatchActions"},"ModifyRestowItemAction":{"properties":{"action":{"enum":["ModifyRestowItem"],"type":"string"},"location":{"$ref":"#/components/schemas/Location"},"restowed":{"description":"Indicates if the restowItem has been restowed","type":"boolean"}},"required":["action","restowed"],"title":"ModifyRestowItemAction","type":"object","description":"ModifyRestowItemAction"},"Location":{"properties":{"locationRef":{"description":"The id of the location","type":"string"},"scannableCodes":{"description":"Represents barcodes that may be scanned at this location","items":{"type":"string"},"maxItems":50,"type":"array"}},"xml":{"name":"Location"},"title":"Location","description":"Location"},"RestowItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/RestowItemArticle"}],"description":"Information about the lineItem"},"created":{"description":"The date this entity was created by fulfillmenttools. This value is generated by the service.","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to the lineItem. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","type":"object"},"facilityRef":{"description":"The id of the facility reference. The given ID has to be present in the system.","type":"string"},"globalLineItemId":{"description":"This ID is used to identify if this line item is related to the line item of other operational entities.","type":"string"},"id":{"description":"ID of the recordable attribute","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"location":{"$ref":"#/components/schemas/Location"},"measurementUnitKey":{"description":"Measurement unit key of the item, for example \"pcs\" or \"kg\"","minLength":1,"type":"string"},"operativeProcessRef":{"description":"id of the connected operative process if available","type":"string"},"processRef":{"description":"id of the connected process if available","type":"string"},"quantity":{"description":"The quantity of the lineItem","type":"number"},"recordableAttributes":{"description":"Customizable information about the lineItem that can be set during the process.","items":{"$ref":"#/components/schemas/RecordableAttribute"},"type":"array"},"restowed":{"description":"Indicates if the restowItem has been restowed","type":"boolean"},"scannableCodes":{"description":"Codes that can be used for scanning this lineItem","items":{"type":"string"},"type":"array"},"secondaryMeasurementUnitKey":{"description":"Identifier for items unit of measurement. E.g. measurementUnitKey is pieces and secondaryMeasurementUnitKey is gram","minLength":1,"type":"string"},"secondaryQuantity":{"description":"secondary quantity of this item, e.g. quantity is the count and secondaryQuantity is the weight","minimum":0,"type":"number"},"status":{"description":"Status of the restow item","enum":["CANCELED","CLOSED","OPEN"],"type":"string"},"stockRef":{"description":"id of the stock entity for this line item","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["id","article","quantity","version","restowed","facilityRef","status"],"title":"RestowItem","type":"object","description":"RestowItem"},"RestowItemArticle":{"properties":{"titleLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the title of the product"},"attributes":{"items":{"$ref":"#/components/schemas/ArticleAttributeItem"},"type":"array"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Ensure that no authentication is needed to fetch the image.","type":"string"},"tenantArticleId":{"description":"This is a reference to an article number","type":"string"},"title":{"description":"The title of the product","type":"string"},"weight":{"description":"Weight value is in gram","minimum":0,"type":"number"}},"required":["tenantArticleId","title"],"title":"RestowItemArticle","type":"object","description":"RestowItemArticle"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by fulfillmenttools to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout fulfillmenttools. For a complete list of possible categories\nand their correct use, refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"anyOf":[{"type":"string"},{"enum":["billableWeightPerUnit","weightPerUnit","currency","valuePerUnit","hsCode","numberOfDecimalPlaces","decimalPlaces","value","countryOfManufacture","percentage","valueOfMeasureForBasePrice","unitKeyOfMeasureForBasePrice"]}],"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear, for example, in the App.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, for example, priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of fulfillmenttools. Default\nvalue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"RecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations of the key"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"id":{"description":"ID of the recordable attribute","type":"string"},"key":{"description":"The translated key of the attribute. This field gets filled automatically on request","type":"string"},"originId":{"description":"The ID of the original lineItem the attribute was split from.","nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["id","keyLocalized","recordingRule"],"title":"RecordableAttribute","type":"object","description":"RecordableAttribute"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/restowitems/{restowItemId}":{"patch":{"deprecated":true,"description":"This part of the API is deprecated. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Deprecated, please use /api/restowitems/{restowItemId}/actions","operationId":"patchRestowItem","parameters":[{"in":"path","name":"restowItemId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestowItemPatchActions"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestowItem"}}},"description":"RestowItem was found & patch-set has been applied. The patched restow item is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"},"409":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"A version conflict occurred."}},"summary":"Update restow item","tags":["Restowing"]}}}}
```

## Call restow item action

> Call available actions on restow item

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to manipulate restowing items.","name":"Restowing"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"RestowItemRestowActionParameter":{"properties":{"location":{"$ref":"#/components/schemas/Location"},"name":{"enum":["RESTOW"],"type":"string"},"version":{"description":"Version of the entity to be changed","minimum":0,"type":"integer"}},"required":["name","version"],"title":"RestowItemRestowActionParameter","type":"object","description":"RestowItemRestowActionParameter"},"Location":{"properties":{"locationRef":{"description":"The id of the location","type":"string"},"scannableCodes":{"description":"Represents barcodes that may be scanned at this location","items":{"type":"string"},"maxItems":50,"type":"array"}},"xml":{"name":"Location"},"title":"Location","description":"Location"},"RestowItemCancelActionParameter":{"properties":{"name":{"enum":["CANCEL"],"type":"string"},"version":{"description":"Version of the entity to be changed","minimum":0,"type":"integer"}},"required":["name","version"],"title":"RestowItemCancelActionParameter","type":"object","description":"RestowItemCancelActionParameter"},"RestowItem":{"properties":{"article":{"allOf":[{"$ref":"#/components/schemas/RestowItemArticle"}],"description":"Information about the lineItem"},"created":{"description":"The date this entity was created by fulfillmenttools. This value is generated by the service.","format":"date-time","type":"string"},"customAttributes":{"description":"Attributes that can be added to the lineItem. These attributes cannot be used within fulfillment processes, but it could be useful to have the information carried here.","type":"object"},"facilityRef":{"description":"The id of the facility reference. The given ID has to be present in the system.","type":"string"},"globalLineItemId":{"description":"This ID is used to identify if this line item is related to the line item of other operational entities.","type":"string"},"id":{"description":"ID of the recordable attribute","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"location":{"$ref":"#/components/schemas/Location"},"measurementUnitKey":{"description":"Measurement unit key of the item, for example \"pcs\" or \"kg\"","minLength":1,"type":"string"},"operativeProcessRef":{"description":"id of the connected operative process if available","type":"string"},"processRef":{"description":"id of the connected process if available","type":"string"},"quantity":{"description":"The quantity of the lineItem","type":"number"},"recordableAttributes":{"description":"Customizable information about the lineItem that can be set during the process.","items":{"$ref":"#/components/schemas/RecordableAttribute"},"type":"array"},"restowed":{"description":"Indicates if the restowItem has been restowed","type":"boolean"},"scannableCodes":{"description":"Codes that can be used for scanning this lineItem","items":{"type":"string"},"type":"array"},"secondaryMeasurementUnitKey":{"description":"Identifier for items unit of measurement. E.g. measurementUnitKey is pieces and secondaryMeasurementUnitKey is gram","minLength":1,"type":"string"},"secondaryQuantity":{"description":"secondary quantity of this item, e.g. quantity is the count and secondaryQuantity is the weight","minimum":0,"type":"number"},"status":{"description":"Status of the restow item","enum":["CANCELED","CLOSED","OPEN"],"type":"string"},"stockRef":{"description":"id of the stock entity for this line item","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["id","article","quantity","version","restowed","facilityRef","status"],"title":"RestowItem","type":"object","description":"RestowItem"},"RestowItemArticle":{"properties":{"titleLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the title of the product"},"attributes":{"items":{"$ref":"#/components/schemas/ArticleAttributeItem"},"type":"array"},"customAttributes":{"description":"Attributes that can be added to this entity. These attributes **cannot** be used within fulfillment processes, but enable you to attach custom data from your systems to fulfillmenttools entities.","nullable":true,"type":"object"},"imageUrl":{"description":"A web link to a picture of this article. Ensure that no authentication is needed to fetch the image.","type":"string"},"tenantArticleId":{"description":"This is a reference to an article number","type":"string"},"title":{"description":"The title of the product","type":"string"},"weight":{"description":"Weight value is in gram","minimum":0,"type":"number"}},"required":["tenantArticleId","title"],"title":"RestowItemArticle","type":"object","description":"RestowItemArticle"},"LocaleString":{"additionalProperties":{"type":"string"},"description":"Provides localized values. The key is the locale, the value is the translation. https://docs.fulfillmenttools.com/documentation/getting-started/authentication-and-authorization/localization","title":"LocaleString","type":"object"},"ArticleAttributeItem":{"properties":{"valueLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category"},"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations for the key of the attribute. This can be only filled with a descriptive category. Excluding for %%subtitle%%"},"category":{"description":"This category is used by fulfillmenttools to customize implemented processes.\nCategorized attributes are used by various processes and tools\nthroughout fulfillmenttools. For a complete list of possible categories\nand their correct use, refer to the documentation.\nDefault value: miscellaneous","enum":["descriptive","miscellaneous","pickingSequence","customs","insurance","shop","dimensions","carrierService","salesPrice","basePrice","tax","discount","surcharge","subtotalBeforeDiscounts","subtotalAfterDiscounts","finalUnitPrice","finalLineItemPrice"],"type":"string"},"context":{"allOf":[{"$ref":"#/components/schemas/ArticleAttributeItemContext"}],"description":"Context for salesPrice category and valuePerUnit key. Can only be set via Listing endpoints."},"key":{"anyOf":[{"type":"string"},{"enum":["billableWeightPerUnit","weightPerUnit","currency","valuePerUnit","hsCode","numberOfDecimalPlaces","decimalPlaces","value","countryOfManufacture","percentage","valueOfMeasureForBasePrice","unitKeyOfMeasureForBasePrice"]}],"description":"Providing the key %%subtitle%% (see example) here will cause the\nvalue to appear, for example, in the App.\nWith all other attributes also the key will be displayed in the\n clients.","minLength":1},"priority":{"description":"This value gives the priority in the respective attribute category.\nThe lower the value the higher is the priority, for example, priority 1 is\nhigher than priority 10. Attributes that have the highest priority\nmight be selected for display in different articles of fulfillmenttools. Default\nvalue is 1001. For details please contact the product owners.","format":"int64","maximum":1001,"minimum":1,"type":"integer"},"type":{"default":"STRING","description":"The type of the attribute.","enum":["STRING","NUMBER","CURRENCY","BOOLEAN"],"type":"string"},"value":{"minLength":1,"type":"string"}},"required":["key","value"],"title":"ArticleAttributeItem","type":"object","description":"ArticleAttributeItem"},"ArticleAttributeItemContext":{"properties":{"type":{"description":"Indicates the entity type the value refers to.","enum":["FACILITY_GROUP","FACILITY","TAG_REFERENCE"],"type":"string"},"value":{"description":"Holds the reference to the entity the attribute refers to.","minLength":1,"type":"string"}},"required":["type","value"],"title":"ArticleAttributeItemContext","type":"object","description":"ArticleAttributeItemContext"},"RecordableAttribute":{"additionalProperties":false,"properties":{"keyLocalized":{"allOf":[{"$ref":"#/components/schemas/LocaleString"}],"description":"The translations of the key"},"group":{"description":"The group of the attribute","minLength":1,"nullable":true,"type":"string"},"id":{"description":"ID of the recordable attribute","type":"string"},"key":{"description":"The translated key of the attribute. This field gets filled automatically on request","type":"string"},"originId":{"description":"The ID of the original lineItem the attribute was split from.","nullable":true,"type":"string"},"recordingRule":{"description":"Indicates whether the value has to be recorded or not","enum":["OPTIONAL","MANDATORY"],"type":"string"},"value":{"description":"The value of the attribute","minLength":1,"nullable":true,"type":"string"}},"required":["id","keyLocalized","recordingRule"],"title":"RecordableAttribute","type":"object","description":"RecordableAttribute"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/restowitems/{restowItemId}/actions":{"post":{"deprecated":false,"description":"Call available actions on restow item","operationId":"restowItemAction","parameters":[{"in":"path","name":"restowItemId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/RestowItemRestowActionParameter"},{"$ref":"#/components/schemas/RestowItemCancelActionParameter"}]}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RestowItem"}}},"description":"Updated RestowItem in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"The requested entity was not found"}},"summary":"Call restow item action","tags":["Restowing"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/restowing.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
